#include "BuiltIns.h"

/*
 * This function must be here for a competition project. It is
 * automatically referenced by WPILib at startup and run. At that
 * point the SetCompetitionMode function sets the competition
 * mode. Basically, a mode of 0 is the default (without the
 * IO_Initialization function) and runs a main function only.
 * SetCompetitionMode(1) runs a competition project as shown.
void IO_Initialization(void)
{
	SetCompetitionMode(1);
}

/*
 * Initialize is run immediately when the robot is powered on
 * regardless of the field mode.
 */
void Initialize(void)
{
	int i;
	for (i = 0; i < 10; i++)
	{
		printf("Initialize %d\r", i);
		Wait(500);
	}
}

/*
 * Autonomous is run as soon as the field controls enable the
 * robot. At the end of the autonomous period, the Autonomous
 * function will end (note: even if it is in an infinite loop
 * as in the example, it will be stopped).
 */
void Autonomous(void)
{
	while (1)
	{
		printf("In autonomous\r");
		Wait(500);
	}
}

/*
 * The OperatorControl function will be called when the field
 * switches to operator mode. If the field ever switches back
 * to autonomous, then OperatorControl will automatically exit
 * and the program will transfer control to the Autonomous
 * function.
 */
void OperatorControl(void)
{
	while (1)
	{
		printf("In OperatorControl\r");
		Wait(500);
	}
}

/*
 * the main program is not used, but needs to be here to
 * statisfy a reference to it. This requirement will probably
 * go away in the next version of WPILib.
 */
void main(void)
{
}
